Insecure DLL loading in Cisco Proximity Desktop for Windows



Published: 2021-01-18
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2021-1240
CWE ID CWE-427
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
Cisco Proximity Desktop for Windows
Client/Desktop applications / Other client software

Vendor

Security Advisory

This security advisory describes one low risk vulnerability.

1) Insecure DLL loading

Risk: Low

CVSSv3: 6.4 [CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2021-1240

CWE-ID: CWE-427 - Uncontrolled Search Path Element

Exploit availability: No

Description

The vulnerability allows a local user to compromise vulnerable system.

The vulnerability exists due to incorrect handling of directory paths at run time in the loading process of specific DLLs. A local user can place a malicious DLL file in a specific location on the targeted system and execute arbitrary code with the privileges of another user’s account.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Cisco Proximity Desktop for Windows: before 3.1.0

CPE External links

https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-proximity-dll-UvW4VHPM

Q & A

Can this vulnerability be exploited remotely?

No. This vulnerability can be exploited locally. The attacker should have authentication credentials and successfully authenticate on the system.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###